Summary:        SAL info tool.
Name:           salinfo
Version:        0.5
Release: 	%(R="$Revision: 1.13 $"; RR="${R##: }"; echo ${RR%%?})
Epoch:		1
Group:          System Environment/Base
License:        GPL
Source0:	salinfo-0.5.tar.gz
Source1:	salinfo-0.5-rhel4.tar.gz
Buildroot:      %{_tmppath}/%{name}-%{version}-root
Prereq:		/sbin/chkconfig /sbin/service
Requires:	fileutils kudzu
BuildPreReq: 	readline-devel ncurses-devel /usr/bin/aclocal /usr/bin/automake /usr/bin/autoconf util-linux groff gettext
ExclusiveArch:	ia64
Conflicts:	kernel-utils < 2.4-13.1.48

Patch0:		salinfo-cm.patch
Patch1:		salinfo-rh.patch
Patch2:		salinfod_shift_fix.patch
Patch3:		salinfo-start.patch
Patch4:		salinfo-init-scripts.patch

%description
Red Hat specific and Community salinfo utilities used to decode SAL records
on ia64 platforms.

%prep
%setup -q -c -a 0 -q -c -a 1
cd salinfo-0.5
%patch0 -p1
cd ../salinfo-0.5-rhel4
%patch1 -p1
%patch2 -p1
%patch3 -p1
cd ..
%patch4 -p1

%build
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}/usr/sbin
mkdir -p %{buildroot}/usr/man
mkdir -p %{buildroot}/etc/rc.d/init.d
mkdir -p %{buildroot}/etc/sysconfig

cd salinfo-0.5

make CFLAGS="$RPM_OPT_FLAGS"
cd ../salinfo-0.5-rhel4
make CFLAGS="$RPM_OPT_FLAGS"


%install
chmod -R a+rw %{buildroot}
mkdir -p %{buildroot}/usr/share/man/man{1,8}

cd salinfo-0.5
make install prefix=%{buildroot} mandir=%{_mandir} sbindir=%{_sbindir} initdir=%{_sysconfdir}/rc.d/init.d logdir=/var/log/salinfo
cd ../salinfo-0.5-rhel4
make install prefix=%{buildroot} mandir=%{_mandir} sbindir=%{_sbindir} initdir=%{_sysconfdir}/rc.d/init.d logdir=/var/log/salinfo

echo " " > %{buildroot}/var/log/salinfo/status
chmod -R a-s %{buildroot}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc %{_mandir}/man8/salinfo_decode.8.gz
%attr(0755,root,root) %{_sbindir}/rhsalinfod-0.5
%attr(0755,root,root) %{_sbindir}/rhsalinfo_decode2-0.5
%attr(0755,root,root) %{_sbindir}/salinfo_decode_all-0.5
%attr(0755,root,root) %{_sbindir}/rhsalinfo_decode-0.5
%attr(0755,root,root) %{_sbindir}/salinfo_decode-0.5
%attr(0755,root,root) %{_sbindir}/salinfo_switch
%attr(0755,root,root) %{_sysconfdir}/rc.d/init.d/rhsalinfod-0.5
%attr(0755,root,root) %{_sysconfdir}/rc.d/init.d/salinfod-0.5
%dir /var/log/salinfo
%dir /var/log/salinfo/raw
%dir /var/log/salinfo/decoded
/var/log/salinfo/status
/etc/cron.daily/salinfo_decode-0.5

%preun
if [ "$1" = "0" ] ; then
 /sbin/service salinfod stop
 /sbin/chkconfig --del salinfod
fi

%post
# SGI hardware requires usage of the community version of salinfo.
if [ -e '/proc/sgi_sn' ]; then
  ln -sf /usr/sbin/salinfo_decode-0.5 /usr/sbin/salinfo_decode
  ln -sf /usr/sbin/salinfo_decode_all-0.5 /usr/sbin/salinfo_decode_all
  ln -sf /etc/cron.daily/salinfo_decode-0.5 /etc/cron.daily/salinfo_decode
  ln -sf /etc/rc.d/init.d/salinfod-0.5 /etc/rc.d/init.d/salinfod
  echo "community" > /var/log/salinfo/status
else
  ln -sf /usr/sbin/rhsalinfod-0.5 /usr/sbin/salinfod
  ln -sf /usr/sbin/rhsalinfo_decode2-0.5 /usr/sbin/salinfo_decode2
  ln -sf /usr/sbin/rhsalinfo_decode-0.5 /usr/sbin/salinfo_decode
  ln -sf /etc/rc.d/init.d/rhsalinfod-0.5 /etc/rc.d/init.d/salinfod
  echo "redhat" > /var/log/salinfo/status
fi

/sbin/chkconfig --add salinfod


%changelog
* Thu Aug  2 2007 Prarit Bhargava <prarit@redhat.com>
- Fix return values from initscripts
* Wed Jul 27 2005 Dave Jones <davej@redhat.com>
- Make salinfod start by default on installation. (#156871)

* Thu Jun 30 2005 Prarit Bhargava <prarit@redhat.com>
- Patch from Alex Williamson to fix STATUS_TYPE_SHIFT

* Tue Mar  1 2005 Prarit Bhargava <prarit@redhat.com>
- Compile and install both community and Red Hat versions
  of salinfo.

* Wed Feb  9 2005 Dave Jones <davej@redhat.com>
- Rebuild with $RPM_OPT_FLAGS

* Sat Dec 18 2004 Dave Jones <davej@redhat.com>
- Initial packaging, based upon kernel-utils.

